View Issue Details

IDProjectCategoryView StatusLast Update
0005042SOGoGUIpublic2020-06-19 12:00
ReporterMrgiowgiow Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Client] MicrosoftOSWindowsOS Version10
Product Version4.3.2 
Summary0005042: The "upload image" and "add table" boxes from mail editor teleports when clicked
Description

When writing an e-mail, then clicking on "upload image" or "add table" buttons, they spawn a window below the mail editor when they are supposed to spawn at the center of the screen. If their titles are clicked the window teleports itself to the center, if you try to drag it or click it one more time it gets stuck at the top of the screen, being only able to be dragged around horizontally.

Steps To Reproduce
  1. Click to write an e-mail.
  2. Click to upload an image.
  3. Click on the title at upload image window
Tagseditor, gui

Activities

Mrgiowgiow

Mrgiowgiow

2020-06-01 16:52

reporter  

image.png (62,732 bytes)   
image.png (62,732 bytes)   
image-2.png (49,146 bytes)   
image-2.png (49,146 bytes)   
Christian Mack

Christian Mack

2020-06-02 03:55

developer   ~0014388

Which browser do you use?
Does that still happen, after you cleared the browser cache?

Mrgiowgiow

Mrgiowgiow

2020-06-02 05:08

reporter   ~0014389

I use Google Chrome. Yes the error still happens after clearing the browser cache. It is reproducible using sogo 4.3 demo on sogo website too.

Mrgiowgiow

Mrgiowgiow

2020-06-03 16:57

reporter   ~0014390

Updating CKeditor inside vendor/js seems to fix the issue, the boxes are now draggable, do not teleport when clicked and are on the center of the screen.

francis

francis

2020-06-19 12:00

administrator   ~0014411

Fixed by updating CKEditor to v4.14.1.

Issue History

Date Modified Username Field Change
2020-06-01 16:52 Mrgiowgiow New Issue
2020-06-01 16:52 Mrgiowgiow Tag Attached: editor
2020-06-01 16:52 Mrgiowgiow Tag Attached: gui
2020-06-01 16:52 Mrgiowgiow File Added: image.png
2020-06-01 16:52 Mrgiowgiow File Added: image-2.png
2020-06-02 03:55 Christian Mack Note Added: 0014388
2020-06-02 05:08 Mrgiowgiow Note Added: 0014389
2020-06-03 16:57 Mrgiowgiow Note Added: 0014390
2020-06-19 12:00 francis Assigned To => francis
2020-06-19 12:00 francis Status new => resolved
2020-06-19 12:00 francis Resolution open => fixed
2020-06-19 12:00 francis Note Added: 0014411